Start Image Build
curl --request POST \
--url https://api.primeintellect.ai/api/v1/images/build/{build_id}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context_uploaded": true,
"registryAuth": {
"server": "<string>",
"username": "<string>",
"password": "<string>"
}
}
'import requests
url = "https://api.primeintellect.ai/api/v1/images/build/{build_id}/start"
payload = {
"context_uploaded": True,
"registryAuth": {
"server": "<string>",
"username": "<string>",
"password": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
context_uploaded: true,
registryAuth: {server: '<string>', username: '<string>', password: '<string>'}
})
};
fetch('https://api.primeintellect.ai/api/v1/images/build/{build_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/images/build/{build_id}/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'context_uploaded' => true,
'registryAuth' => [
'server' => '<string>',
'username' => '<string>',
'password' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/images/build/{build_id}/start"
payload := strings.NewReader("{\n \"context_uploaded\": true,\n \"registryAuth\": {\n \"server\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.primeintellect.ai/api/v1/images/build/{build_id}/start")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"context_uploaded\": true,\n \"registryAuth\": {\n \"server\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/images/build/{build_id}/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"context_uploaded\": true,\n \"registryAuth\": {\n \"server\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"imageName": "<string>",
"imageTag": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"artifacts": [
{
"id": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"artifactType": "CONTAINER_IMAGE",
"fullImagePath": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
]
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Images
Start Image Build
Start the image build process after uploading the build context.
Runs img2vm in a VM sandbox to build and convert the image locally.
POST
/
api
/
v1
/
images
/
build
/
{build_id}
/
start
Start Image Build
curl --request POST \
--url https://api.primeintellect.ai/api/v1/images/build/{build_id}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context_uploaded": true,
"registryAuth": {
"server": "<string>",
"username": "<string>",
"password": "<string>"
}
}
'import requests
url = "https://api.primeintellect.ai/api/v1/images/build/{build_id}/start"
payload = {
"context_uploaded": True,
"registryAuth": {
"server": "<string>",
"username": "<string>",
"password": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
context_uploaded: true,
registryAuth: {server: '<string>', username: '<string>', password: '<string>'}
})
};
fetch('https://api.primeintellect.ai/api/v1/images/build/{build_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/images/build/{build_id}/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'context_uploaded' => true,
'registryAuth' => [
'server' => '<string>',
'username' => '<string>',
'password' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/images/build/{build_id}/start"
payload := strings.NewReader("{\n \"context_uploaded\": true,\n \"registryAuth\": {\n \"server\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.primeintellect.ai/api/v1/images/build/{build_id}/start")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"context_uploaded\": true,\n \"registryAuth\": {\n \"server\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/images/build/{build_id}/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"context_uploaded\": true,\n \"registryAuth\": {\n \"server\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"imageName": "<string>",
"imageTag": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"artifacts": [
{
"id": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"artifactType": "CONTAINER_IMAGE",
"fullImagePath": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
]
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Authorizations
Body
application/json
Response
Successful Response
Status of an image build and its artifact rows.
Was this page helpful?